﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace pistoane
{
    class dreptunghi
    {
        private int x,y,l1,l2;//pozitie, laturi
        private Pen p; //pen pt contur
        private SolidBrush b;//brush pt umplere

        //proprietati de acces la date
        public int X { set { x = value; } get { return x; } }
        public int Y { set { y = value; } get { return y; } }
        public int L1 { set { l1 = value; } get { return l1; } }
        public int L2 { set { l2 = value; } get { return l2; } }
        public Pen P { set { p = value; } get { return p; } }
        public SolidBrush B { set { b = value; } get { return b; } }

        //cnstructori
        public dreptunghi ()
        {
            x = y = l1 = l2 = 0;
            p = new Pen(Color.Black);
            b = new SolidBrush(Color.White);
        }

        public dreptunghi(int a, int b ,int c, int d, Pen e, SolidBrush f)
        {
            x = a; y = b;  l1 = c;  l2 = d;
            p = e; this.b = f;
        }

        public void desenez(Graphics G)
        {//deseneaza dreptunghi cu contur
            G.DrawRectangle(p, x , y , l1, l2);
            G.FillRectangle(b, x + 1, y + 1, l1 - 1, l2 - 1);
        }
    }
}
