﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace pistoane
{
    class piston
    {
        //pt desen
        private cerc sus; //partea de sus
        private dreptunghi fix, mobil;//cilindru, piston
        //pt date
        private int d, h;//diametru, inaltime cilindru
        private int g;// grosime mobil
        double u;//unghiul bratului
        //int b;//lungime brat

        //proprietati de acces

        //constructori
        public piston()
        {
            sus = new cerc();
            fix = new dreptunghi();
            mobil = new dreptunghi();
        }

        public piston(cerc c, dreptunghi f, dreptunghi m)
        {
            sus = c; fix = f; mobil = m;
        }

        public piston(int d, int h, int g, double u)
        {//creez piston dupa date
            this.d = d; this.g = g; this.u = u;
            //b = h - g + 30;
            this.h = (int)(d / 2 * Math.PI) + g-50;
            fix = new dreptunghi(100, 200, d, this.h, new Pen(Color.Black), new SolidBrush(Color.White));
            mobil= new dreptunghi(100, 200 + (int)(d / 2 * Math.Sin(Math.PI/2)) -(int)(d / 2 * Math.Sin(u)), d, g, new Pen(Color.Black), new SolidBrush(Color.Blue));
            sus = new cerc(100 + d / 2, 200 - 30 - d/2, d / 2, new Pen(Color.Black));
        }

        public void desenez(Graphics G)
        {
            sus.desenez(G);
            fix.desenez(G);
            mobil.desenez(G);
            G.DrawLine(sus.P,sus.X, sus.Y, sus.X + sus.R * (float)Math.Cos(u), sus.Y - sus.R * (float)Math.Sin(u));
            G.DrawLine(mobil.P,mobil.X+mobil.L1/2, mobil.Y, sus.X + sus.R * (float)Math.Cos(u), sus.Y - sus.R * (float)Math.Sin(u));
        }
    }
}
